Bug 185376 - inclusion of 6 additional indic locales
inclusion of 6 additional indic locales
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libX11 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: FutureFeature, i18n, Reopened
Depends On: 183728 183729
Blocks: Indic FC6Blocker
  Show dependency treegraph
 
Reported: 2006-03-13 20:24 EST by Lawrence Lim
Modified: 2014-03-25 20:53 EDT (History)
7 users (show)

See Also:
Fixed In Version: glibc-2.4.90-13
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-03 19:12:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for /usr/share/X11/locale/locale.alias (1.94 KB, patch)
2006-03-14 06:06 EST, Mayank Jain
no flags Details | Diff
Patch for /usr/share/X11/locale/locale.dir (2.09 KB, patch)
2006-03-14 06:07 EST, Mayank Jain
no flags Details | Diff
Patch for indic locales (4.77 KB, patch)
2006-03-15 07:19 EST, Mayank Jain
no flags Details | Diff
Oriya_Locale_Definition (6.14 KB, application/octet-stream)
2006-05-29 04:31 EDT, subhransu behera
no flags Details
Urdu locale file is attached (5.28 KB, application/octet-stream)
2006-05-29 06:36 EDT, A S Alam
no flags Details
assamese localedef file (6.09 KB, application/octet-stream)
2006-05-30 07:54 EDT, Runa Bhattacharjee
no flags Details
latest patch for 6 indic locales (5.75 KB, patch)
2006-07-03 05:42 EDT, Mayank Jain
no flags Details | Diff
Corrected Assamese locale definition file (6.30 KB, application/octet-stream)
2006-12-01 09:05 EST, Amitakhya Phukan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 3646 None None None Never

  None (edit)
Description Lawrence Lim 2006-03-13 20:24:43 EST
Description of problem:
Could you please update Xlib to support 6 (as,kn,ml,or,ur,te) additional indic
locales for FC6?

Version-Release number of selected component (if applicable):
libX11-1.0.0-3

How reproducible:
Always

Steps to Reproduce:
1.start application with any of the 6 indic locales proposed OR
2. grep "_IN" /usr/share/X11/locale/locale.alias
3.
  
Actual results:
locale not supported by Xlib

Expected results:
application starts with the propsed locales

Additional info:
Comment 1 Leon Ho 2006-03-13 20:56:16 EST
Mayank, assigning to you:

1. Can you create a patch for /usr/share/X11/locale/locale.{alias,dir} with all
those new locale {as,kn,ml,or,ur,te}_IN and attach here?

2. Create a full modified files for translators' machines.
Comment 2 Mayank Jain 2006-03-14 06:03:41 EST
Hi, the patch files for locale.dir, locale.alias are attached.

- Modifications to locale.alias
# added by majain@redhat.com
{as,kn,ml,or,ur,te}_IN.utf8                    {as,kn,ml,or,ur,te}_IN.UTF-8
{as,kn,ml,or,ur,te}_IN.UTF-8                   {as,kn,ml,or,ur,te}_IN.UTF-8
# end modification

- Modifications to locale.dir
# added by majain@redhat.com
en_US.UTF-8/XLC_LOCALE                 {as,kn,ml,or,ur,te}_IN.UTF-8
# end modification

Comment 3 Mayank Jain 2006-03-14 06:06:36 EST
Created attachment 126092 [details]
Patch for /usr/share/X11/locale/locale.alias
Comment 4 Mayank Jain 2006-03-14 06:07:42 EST
Created attachment 126093 [details]
Patch for /usr/share/X11/locale/locale.dir
Comment 5 Mayank Jain 2006-03-15 07:16:58 EST
Hi,

The patch for xorg-x11-6.8.2-62.src.rpm (locale.dir, locale.alias) is attached.
Please have a look & revert if something's out of order.

Thanks.
Comment 6 Mayank Jain 2006-03-15 07:19:34 EST
Created attachment 126150 [details]
Patch for indic locales
Comment 7 Mayank Jain 2006-03-22 00:10:59 EST
Updated bug #3646 - https://bugs.freedesktop.org/show_bug.cgi?id=3646
at freedesktop bugzilla.
Comment 8 Mayank Jain 2006-03-24 01:09:10 EST
Added bugs 177295, 177370, 177371, 177372, 177378, 177379 as dependence for this
bug.
Comment 10 Mayank Jain 2006-03-28 08:26:13 EST
Updates : After patching the locale.{alias,dir}

as - Locale not supported by C library
kn - locale not supported by Xlib
ml - locale not supported by Xlib
or - Locale not supported by C library
ur - Locale not supported by C library
te - locale not supported by Xlib
Comment 12 Mayank Jain 2006-04-11 10:42:51 EDT
Bugs of interest
Oriya locale - https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=183728
Assamese locale - https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=183729
Comment 14 Mayank Jain 2006-05-29 03:16:40 EDT
Assamese -
Runa, can you please verify that as_IN locale mentioned in
http://www.redhat.com/archives/fedora-i18n-list/2005-October/msg00002.html is fine.

Oriya -
Subhranshu, can you please verify this locale -
http://oriya.sarovar.org/download/indicsort.tar.gz

Urdu -
Aalam, lets finish this task asap :)

If you have already verified the locale, kindly add you confirmation here.

Thanks guys :)
Mayank
Comment 15 subhransu behera 2006-05-29 04:31:12 EDT
Created attachment 130179 [details]
Oriya_Locale_Definition
Comment 16 subhransu behera 2006-05-29 04:32:38 EDT
Mayank,

This is the modified file. Just go through it.

Regards,
Subhransu
Comment 17 Mayank Jain 2006-05-29 04:35:37 EDT
Subhransu, please verify it.
Thanks.
Comment 18 subhransu behera 2006-05-29 04:37:36 EDT
> Oriya -
> Subhranshu, can you please verify this locale -
> http://oriya.sarovar.org/download/indicsort.tar.gz
> 

Mayank,

The above file is verified :)

Cheers,
Subhransu
Comment 19 Mayank Jain 2006-05-29 05:00:58 EDT
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/localedata/locales/?cvsroot=glibc#dirlist
as_IN & or_IN locales already added 2 days ago.
Comment 20 Mayank Jain 2006-05-29 05:28:14 EDT
te_IN is already present in FC5
Comment 21 Mayank Jain 2006-05-29 05:35:09 EDT
kn_IN present in FC5
Comment 22 A S Alam 2006-05-29 06:36:59 EDT
Created attachment 130184 [details]
Urdu locale file is attached
Comment 23 Mayank Jain 2006-05-29 08:08:57 EDT
Thanks Aalam.
Comment 25 Leon Ho 2006-05-29 21:09:18 EDT
Mayank, please post glibc locale seperately from this X locale bug. Also would
you please follow up with the xorg upstream and see when would they include the
patch.

X Team, please consider to include the patch in Comment #6 in the meanwhile for
FC6. Moving back to ASSIGNED as it is not fixed in the package, and re-assigning
this bug back to you guys, thank you.
Comment 26 Runa Bhattacharjee 2006-05-30 07:54:59 EDT
Created attachment 130223 [details]
assamese localedef file

Assamesed localedef file attached.
Comment 29 Mike A. Harris 2006-06-06 04:48:55 EDT
Please file a feature request for this in X.Org bugzilla at
http://bugs.freedesktop.org in the "xorg" component.  Once it has been
reviewed by upstream, accepted, and committed to CVS, we will review it
for consideration for FC6.

Please paste the upstream bug URL here once you've filed the report,
so we can track it.

Thanks in advance.

Comment 30 Mayank Jain 2006-06-20 02:31:32 EDT
Hi Mike, I've requested the upstream to review the patch... but no response from
them. I'll add the upstream bz # in the reference... though the bug number is
available in https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=185376#c7

Thanks,
Mayank
Comment 31 Mike A. Harris 2006-06-30 20:42:55 EDT
The patch that was submitted upstream is for 6.8.x.  You should regenerate
it for the current X.Org CVS head to ensure someone reviews it.  If someone
were to try and apply it to cvs head, and it fails, they may fix it up
themselves, or they may just leave the bug sit there until someone else
updates it.

I've added a request in the upstream bug report.  If you do not receive a
response within a few days of attaching a patch against the current
release, please post a message to xorg@lists.freedesktop.org to discuss this
with the developers actively, so that they do actually incorporate it into
the X codebase sooner rather than later.

We have a policy to only accept patches into our X packages which have been
accepted upstream and committed to CVS (or GIT depending..), or to which
upstream has reviewed and accepted the patch and committed themselves to
putting it into the repository at a later date.

It is critically important that these type of things get officially endorsed
by X.Org first, so that we do not end up having to patch them into our own
sources endlessly, and port them forward every OS release.  We don't want
to have the same situation happen like we had for Chinese GB18030 support,
which was added to our packaging, but rejected upstream for 4+ years, causing
us to have to port it forward every OS release.

Please work with upstream on the mailing lists and in bugzilla to ensure
this doesn't fall between the cracks upstream.

Thanks in advance.

Comment 32 Mayank Jain 2006-07-03 04:24:25 EDT
Sure Mike.
I'll update the patch asap.

Thanks for the explanation,
Mayank
Comment 33 Mayank Jain 2006-07-03 05:42:16 EDT
Created attachment 131878 [details]
latest patch for 6 indic locales

Hi Mike,
The patch, adapted to latest codebase (cvs) is attached, kindly have a look.

Thanks,
Mayank
Comment 34 Mike A. Harris 2006-07-11 13:49:41 EDT
(In reply to comment #33)
> Created an attachment (id=131878) [edit]
> latest patch for 6 indic locales
> 
> Hi Mike,
> The patch, adapted to latest codebase (cvs) is attached, kindly have a look.

Once upstream has accepted them, we'll apply them.  We really need these
type of things to be accepted upstream first.  I've added a comment
upstream about it.  All we can do now is wait for upstream to review
it and commit it, or comment about it.

It's best continuing to engage the upstream developers on the xorg mailing
list until someone has reviewed it.
Comment 35 Leon Ho 2006-07-11 21:12:13 EDT
Thanks Mike and Mayank for the effort to include it into upstream. Are we on
track to build it into our RH package by FC6-T2? This is trivial but extremely
important patch for language support - if we miss this train - that would be it.

If you wouldn't mind, let's re-open this to track this effort - thanks in advance!
Comment 36 Mayank Jain 2006-07-12 01:08:51 EDT
Sure. Thanks Mike for all the support.
Comment 37 Mike A. Harris 2006-07-19 05:54:11 EDT
Ok guys, the patch is committed upstream now so I have added it to
our package and built it for rawhide.  Thanks again for getting this
included upstream first.

Comment 38 Mayank Jain 2006-07-19 05:55:24 EDT
Thanks Mike :)
Comment 39 subhransu behera 2006-08-31 05:03:07 EDT
Mayank

Some modification is required in the Oriya locale file.

So kindly send me the one you have with you now.

Cheers,
Subhu
Comment 40 Mayank Jain 2006-08-31 05:17:19 EDT
Removing runab#redhat.com & adding as LM, aphukan@redhat.com to CC list
Comment 41 Mayank Jain 2006-08-31 05:26:26 EDT
Subhranshu, your file is here... pls download this, make your changes & attach 
the new file in bugzilla so I can create a patch & then ping Mike to update the 
CVS.

http://sources.redhat.com/cgi-bin/cvsweb.cgi/~checkout~/libc/localedata/locales/
or_IN?rev=1.2.2.3&content-type=text/plain&cvsroot=glibc

Thanks,
Mayank
Comment 42 Mayank Jain 2006-08-31 05:47:46 EDT
OOps, I'm sorry, Comments from C#39 to C#41 are supposed to go in RH bug 
#200230 or a new bug.

Subhranshu, this bug is not regarding locale data errors.

Sorry for reopening this bug, closing it back with resolution as CURRENTRELEASE.

Thanks,
Mayank
Comment 43 Amitakhya Phukan 2006-12-01 08:14:21 EST
There are some changes necessary in the locale definition file. I am working on
it. Will submit the complete file on Monday.
Comment 44 Amitakhya Phukan 2006-12-01 09:05:43 EST
Created attachment 142567 [details]
Corrected Assamese locale definition file

Here is the correct locale definition that I have made. please revert back to
me for any changes.
Comment 45 Leon Ho 2006-12-03 19:12:11 EST
Amit, this bug is for X locale def, not glibc def. If you have any improvement
on glibc, would you please modify the source localedef and ask one of our
developers to help you make a patch against it - and then submit a new bug for
it. I am closing this bug back to RAWHIDE. Thanks.

Note You need to log in before you can comment on or make changes to this bug.